<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class PanelGrMaster extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'item_id',
        'inspection_lot_number',
        'document_number',
        'invoice_number',
        'supplier_number',
        'quantity',
        'created_by',
        'updated_by'
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }
}
